/* ============================================== */
/* CSS for control sap.ui.commons/RoadMap.control */
/* SAP-HCB Theme                                  */
/* ============================================== */

.sapUiRoadMap {
	font-size: @sapUiDesktopFontSize;
}

/* Step Styles */
.sapUiRoadMapDisabled {
	color: lighten(@sapUiContentDisabledTextColor, 20);
}

.sapUiRoadMapStepAdd1,
.sapUiRoadMapStepAdd2 {
	background-color: @sapUiBlackBG;
}

.sapUiRoadMapStepBox{
	background-color: @sapUiWhiteBG;
	border: 1px solid @sapUiBaseBorder;
}

.sapUiRoadMapStepBox:focus {
	outline: 1px solid @sapUiBaseBorder;
}

.sapUiRoadMapSelected > .sapUiRoadMapStepBox {
	background-color: @sapUiHighlight;
	border: 1px solid @sapUiBaseBorder;
}

.sapUiRoadMapDisabled > .sapUiRoadMapStepBox {
	background-color: @sapUiFieldReadOnlyBackground;
	border: 1px solid @sapUiButtonDisabledBorderColor;
}

.sapUiRoadMapDisabled > .sapUiRoadMapStepBox:focus {
	border: 1px solid @sapUiBaseBorder;
}

.sapUiRoadMapTitle {
	height: 28px; /*double line-height*/
	font-size: 11px;
	font-family: @sapUiFontFamily;
}

.sapUiRoadMapStepIco {
	display: inline;
	position: absolute;
	bottom: 0px;
	left: 3px;
	height: 16px;
	width: 16px;
	background-image: url("img/roadmap/roundtrip.gif");
}

.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco {
	background-image: url("img/roadmap/roundtrip_dsbl.gif");
}

.sapUiRoadMapExpanded > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco {
	right: 2px;
	left: auto;
	height: 12px;
	width: 12px;
	background-image: url("img/roadmap/roundtrip_start.gif");
}

.sapUiRoadMapExpanded.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco {
	background-image: url("img/roadmap/roundtrip_start_dsbl.gif");
}

.sapUiRoadMapStepEnd.sapUiRoadMapExpanded > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco {
	left: 2px;
	background-image: url("img/roadmap/roundtrip_end.gif");
}

.sapUiRoadMapStepEnd.sapUiRoadMapExpanded.sapUiRoadMapDisabled > .sapUiRoadMapStepBox > .sapUiRoadMapStepIco {
	background-image: url("img/roadmap/roundtrip_end_dsbl.gif");
}

/* Delimiter Styles */
.sapUiRoadMapStartScroll {
	background-image: url("img/roadmap/morebefore.gif");
}

.sapUiRoadMapStartFixed {
	background-image: url("img/roadmap/startpoint.gif");
}

.sapUiRoadMapEndScroll {
	background-image: url("img/roadmap/moreafter.gif");
}

.sapUiRoadMapEndFixed {
	background-image: url("img/roadmap/endpoint.gif");
}

.sapUiRoadMapStartScroll:after,
.sapUiRoadMapStartFixed:after,
.sapUiRoadMapEndScroll:after,
.sapUiRoadMapEndFixed:after {
	content: "";
}